View Issue Details

IDProjectCategoryView StatusLast Update
0000298Adventure PHP FrameworkBugpublic2016-04-21 15:58
ReporterdaveAssigned ToChristianAchatz 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1 
Target Version3.2Fixed in Version3.2 
Summary0000298: Form::CheckBox "checked=checked" didnt work
DescriptionThe following form-Checkbox should be by default checked:
<form:checkbox name="remember-me" id="remember" value="1" checked="checked"/>
But during transforming the template the checkbox will be unchecked. The error is in the CheckBoxTag in lines 57-59.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacetools

Activities

ChristianAchatz

2016-04-20 16:23

administrator   ~0000710

Hi dave,

thanks for reporting this issue! I'll have a look at the code and come up with a solution (including adding a unit test for it).

ChristianAchatz

2016-04-20 21:35

administrator   ~0000711

Hi dave,

unfortunately, this use case is not covered by the implementation. Same applies to the unit tests.

I'll adapt both within the bug fix.

Best,
Christian

ChristianAchatz

2016-04-21 11:00

administrator   ~0000712

Committed patch and integrated into master. See https://github.com/AdventurePHP/code/commit/94a8d704d2404bcc13ec4d8aefcfa306b8095667 for details.

Issue History

Date Modified Username Field Change
2016-04-19 18:34 dave New Issue
2016-04-20 16:23 ChristianAchatz Note Added: 0000710
2016-04-20 21:35 ChristianAchatz Note Added: 0000711
2016-04-20 21:35 ChristianAchatz Assigned To => ChristianAchatz
2016-04-20 21:35 ChristianAchatz Status new => assigned
2016-04-21 11:00 ChristianAchatz Note Added: 0000712
2016-04-21 11:00 ChristianAchatz Status assigned => resolved
2016-04-21 11:00 ChristianAchatz Fixed in Version => 3.2
2016-04-21 11:00 ChristianAchatz Resolution open => fixed
2016-04-21 15:58 ChristianAchatz Target Version 3.3 => 3.2